/* Board */
#include "board.h"
#include "clock_config.h"
#include "peripherals.h"
#include "pin_mux.h"

/* Debug console */
#include "fsl_debug_console.h"

/* FreeRTOS */
#include "FreeRTOS.h"
#include "task.h"

/* LVGL */
#include "lvgl.h"
#include "lv_demos.h"

/* App */
#include "app_lvgl.h"

__attribute__((section(".mempool"))) uint8_t ucHeap[configTOTAL_HEAP_SIZE];

int main(void) {
    BOARD_InitBootPins();
    BOARD_InitBootClocks();

    BOARD_InitDebugConsole();

    BOARD_InitBootPeripherals();

    BOARD_ConfigMPU();

    CLOCK_SetMode(kCLOCK_ModeRun);

    PRINTF("CPU frequency: %d\r\n", CLOCK_GetCoreSysClkFreq());

    app_lvgl_init();

    lv_demo_music();

    vTaskStartScheduler();

    for (;;) {
        __WFI();
    }
}
